GET /accounting/transactions/entries
GET/accounting/transactions/entries
GET /accounting/transactions/entries
Request
Query Parameters
transaction_id int64[]
type string[]
entry_type string[]
gl_account.id int64
gl_account.number string
gl_account.name string
gl_account.description string
date_posting string
Custom date range syntax. Equal: 2020-01-01; From: [2020-01-01;]; To: [;2025-12-31]; Between: [2020-01-01;2025-12-31]. Custom date range syntax. Equal: 2020-01-01; From: [2020-01-01;]; To: [;2025-12-31]; Between: [2020-01-01;2025-12-31].
date_tax_applied string
Custom date range syntax. Equal: 2020-01-01; From: [2020-01-01;]; To: [;2025-12-31]; Between: [2020-01-01;2025-12-31]. Custom date range syntax. Equal: 2020-01-01; From: [2020-01-01;]; To: [;2025-12-31]; Between: [2020-01-01;2025-12-31].
from int32
take int32
search string
sort string[]
Responses
- 200
OK
- text/plain
- application/json
- text/json
- Schema
- Example (from schema)
Schema
Array [
]
total int64nullable
from int64nullable
take int64nullable
entities
object[]
nullable
id int64nullable
created_at date-timenullable
edited_at date-timenullable
is_locked boolean
transaction_id int64
transaction_type stringnullable
type stringnullable
entry_type stringnullable
no stringnullable
date_posting datenullable
date_taxable datenullable
debit double
credit double
currency stringnullable
gl_account
object
id int64nullable
number stringnullable
name stringnullable
description stringnullable
description stringnullable
aggregations undefined[]nullable
{
"total": 0,
"from": 0,
"take": 0,
"entities": [
{
"id": 0,
"created_at": "2024-07-29T15:51:28.071Z",
"edited_at": "2024-07-29T15:51:28.071Z",
"is_locked": true,
"transaction_id": 0,
"transaction_type": "string",
"type": "string",
"entry_type": "string",
"no": "string",
"date_posting": "2024-07-29",
"date_taxable": "2024-07-29",
"debit": 0,
"credit": 0,
"currency": "string",
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"description": "string"
}
],
"aggregations": [
null
]
}
- Schema
- Example (from schema)
Schema
Array [
]
total int64nullable
from int64nullable
take int64nullable
entities
object[]
nullable
id int64nullable
created_at date-timenullable
edited_at date-timenullable
is_locked boolean
transaction_id int64
transaction_type stringnullable
type stringnullable
entry_type stringnullable
no stringnullable
date_posting datenullable
date_taxable datenullable
debit double
credit double
currency stringnullable
gl_account
object
id int64nullable
number stringnullable
name stringnullable
description stringnullable
description stringnullable
aggregations undefined[]nullable
{
"total": 0,
"from": 0,
"take": 0,
"entities": [
{
"id": 0,
"created_at": "2024-07-29T15:51:28.071Z",
"edited_at": "2024-07-29T15:51:28.071Z",
"is_locked": true,
"transaction_id": 0,
"transaction_type": "string",
"type": "string",
"entry_type": "string",
"no": "string",
"date_posting": "2024-07-29",
"date_taxable": "2024-07-29",
"debit": 0,
"credit": 0,
"currency": "string",
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"description": "string"
}
],
"aggregations": [
null
]
}
- Schema
- Example (from schema)
Schema
Array [
]
total int64nullable
from int64nullable
take int64nullable
entities
object[]
nullable
id int64nullable
created_at date-timenullable
edited_at date-timenullable
is_locked boolean
transaction_id int64
transaction_type stringnullable
type stringnullable
entry_type stringnullable
no stringnullable
date_posting datenullable
date_taxable datenullable
debit double
credit double
currency stringnullable
gl_account
object
id int64nullable
number stringnullable
name stringnullable
description stringnullable
description stringnullable
aggregations undefined[]nullable
{
"total": 0,
"from": 0,
"take": 0,
"entities": [
{
"id": 0,
"created_at": "2024-07-29T15:51:28.071Z",
"edited_at": "2024-07-29T15:51:28.071Z",
"is_locked": true,
"transaction_id": 0,
"transaction_type": "string",
"type": "string",
"entry_type": "string",
"no": "string",
"date_posting": "2024-07-29",
"date_taxable": "2024-07-29",
"debit": 0,
"credit": 0,
"currency": "string",
"gl_account": {
"id": 0,
"number": "string",
"name": "string",
"description": "string"
},
"description": "string"
}
],
"aggregations": [
null
]
}
Loading...